
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class utility extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                utility t = new utility();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{
		int iret;
		boolean bFlag = false;
		Integer iObj = new Integer(1);
		String strRet = "";
		StringBuffer strBuf = new StringBuffer("aardvark");
		TSSDatapool dp = new TSSDatapool();
		TSSNamedValue[] nvArray = new TSSNamedValue[2];

		nvArray[0] = new TSSNamedValue();
		nvArray[0].name = "test0";
		nvArray[0].value = "value0";
		nvArray[1] = new TSSNamedValue();
		nvArray[1].name = "test1";
		nvArray[1].value = "value1";

 	iret = TSSUtility.errorDetail(strBuf);
	System.out.print("return from TSSUtility.errorDetail ");
	System.out.print(strBuf);
	System.out.print(" value ");
	if (iret == TSS_OK)
		System.out.println("TSS_OK");
	else
		System.out.println(iret);
	
 	strRet = TSSUtility.getScriptOption("optionName");
	System.out.print("return from TSSUtility.scriptOption ");
	System.out.println(strRet);
	
 	strRet = TSSUtility.getTestCaseName();
	System.out.print("return from TSSUtility.getTestCase ");
	System.out.println(strRet);
	
 	TSSUtility.delay(10);
	System.out.println("TSSUtility.delay called");

 	TSSUtility.seedRand(10);
	System.out.println("TSSUtility.seedRand called");

 	iret = TSSUtility.rand();
	System.out.print("return from TSSUtility.rand ");
	System.out.println(iret);

 	iret = TSSUtility.uniform(1, 100);
	System.out.print("return from TSSUtility.uniform ");
	System.out.println(iret);

 	iret = TSSUtility.negExp(50);
	System.out.print("return from TSSUtility.negExp ");
	System.out.println(iret);

 	TSSUtility.stdOutPrint("message");
	System.out.println("TSSUtility.stdOutPrint called");

 	TSSUtility.stdErrPrint("message");
	System.out.println("TSSUtility.stdErrPrint called");

	//TSSUtility.getTestCaseConfiguration(nvArray);
	//System.out.println("TSSUtility.getTestCaseConfiguration called");

	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}
}
